Package ch.qos.logback.core.sift

# Class AbstractAppenderFactoryUsingJoran<E>

java.lang.Object
ch.qos.logback.core.sift.AbstractAppenderFactoryUsingJoran<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  `AppenderFactory<E>`

Direct Known Subclasses:
  `AppenderFactoryUsingJoran`, `AppenderFactoryUsingJoran`

public abstract class AbstractAppenderFactoryUsingJoran<E> extends Object implements AppenderFactory<E>
Builds new appenders dynamically by running SiftingJoranConfigurator instance, a custom configurator tailored for the contents of the sift element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`key`
`protected Map<String,String>`
`parentPropertyMap`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractAppenderFactoryUsingJoran(List<SaxEvent> eventList, String key, Map<String,String> parentPropertyMap)`

## Method Summary

Modifier and Type
Method
Description
`Appender<E>`
`buildAppender(Context context, String discriminatingValue)`
`List<SaxEvent>`
`getEventList()`
`abstract SiftingJoranConfiguratorBase<E>`
`getSiftingJoranConfigurator(String k)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### key

protected String key

### parentPropertyMap

protected Map<String,String> parentPropertyMap

## Constructor Details

### AbstractAppenderFactoryUsingJoran

protected AbstractAppenderFactoryUsingJoran(List<SaxEvent> eventList, String key, Map<String,String> parentPropertyMap)

## Method Details

### getSiftingJoranConfigurator

public abstract SiftingJoranConfiguratorBase<E> getSiftingJoranConfigurator(String k)

### buildAppender

public Appender<E> buildAppender(Context context, String discriminatingValue) throws JoranException

Specified by:
  `buildAppender` in interface `AppenderFactory<E>`
Throws:
  `JoranException`

### getEventList

public List<SaxEvent> getEventList()